<?php
 namespace VnChocola\Module\Master;
 use TCMS\Module;
 use Route;
 use Model;
 use LayoutData;
 class MasterInsurrance extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/insurrance', 'IndexController', 'index')->name('index');
 Route::get('/insurrance/create', 'IndexController', 'create')->name('create');
 Route::post('/insurrance/create', 'IndexController', 'postCreate');
 Route::get('/insurrance/update/{id}', 'IndexController', 'update')->name('update');
 Route::post('/insurrance/update/{id}', 'IndexController', 'postUpdate');
 Route::post('/insurrance/delete', 'IndexController', 'postDelete')->name('delete');
 }
 public function registerComponent() {
 Model::add('InsurranceModel', \VnChocola\Model\InsurranceModel::class, true);
 Model::add('StoresModel', \VnChocola\Model\StoresModel::class, true);
 }
 public function boot() {
 LayoutData::addMenuItem('insurrance', route('index'), lang('insurrance_model.name'), 'primary', function($menuItem) {
 $menuItem->icon = "fas fa-file-signature";
 }
);
 }
 public function middleware(string $routeName, $auth) {
 }
 }
